Debian Bug report logs - #383169
Doesn't reassociate after resume

version graph

Package: madwifi-source; Maintainer for madwifi-source is (unknown);

Reported by: Reinhard Tartler <siretart@tauware.de>

Date: Tue, 15 Aug 2006 10:49:43 UTC

Severity: important

Found in version madwifi/0.svnr1697.0.9.2-1

Fixed in version 1:0.9.4+r3772.20080716-1+rm

Done: Marco Rodrigues <gothicx@sapo.pt>

Bug is archived. No further changes may be made.

Forwarded to http://madwifi.org/ticket/201

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian madwifi team <pkg-madwifi-maintainers@lists.alioth.debian.org>:
Bug#383169; Package madwifi-source. Full text and rfc822 format available.

Acknowledgement sent to Reinhard Tartler <siretart@tauware.de>:
New Bug report received and forwarded. Copy sent to Debian madwifi team <pkg-madwifi-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Reinhard Tartler <siretart@tauware.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Doesn't reassociate after resume
Date: Tue, 15 Aug 2006 12:46:32 +0200
Package: madwifi-source
Version: 0.svnr1697.0.9.2-1
Severity: important

After suspending/resuming with uswsusp, I don't get any association with
wpa_supplicant. Here is a log of an wpa_cli session:

Interactive mode

> level 0
OK
> status
wpa_state=SCANNING
> <1>Setting scan request: 10 sec 0 usec
<2>Trying to associate with 00:0b:0e:24:00:00 (SSID='FAU-VPN' freq=2462
MHz)
<1>Cancelling scan request
<2>Association request to the driver failed
<1>Setting authentication timeout: 5 sec 0 usec
<2>Authentication with 00:00:00:00:00:00 timed out.
<1>Setting scan request: 0 sec 0 usec
<1>Setting scan request: 10 sec 0 usec
<2>Trying to associate with 00:0b:0e:2f:7b:c2 (SSID='FAU-VPN' freq=2462 MHz)
<1>Cancelling scan request
<2>Association request to the driver failed
<1>Setting authentication timeout: 5 sec 0 usec
<2>Authentication with 00:00:00:00:00:00 timed out.
<1>Setting scan request: 0 sec 0 usec
<1>Setting scan request: 10 sec 0 usec
<2>Trying to associate with 00:0b:0e:2f:7b:c2 (SSID='FAU-VPN' freq=2462
MHz)
<1>Cancelling scan request
<2>Association request to the driver failed
<1>Setting authentication timeout: 5 sec 0 usec
<2>Authentication with 00:00:00:00:00:00 timed out.
<1>Setting scan request: 0 sec 0 usec
<1>Setting scan request: 10 sec 0 usec
<2>Trying to associate with 00:0b:0e:24:00:02 (SSID='Welle_RRZE'
freq=2462 MHz)


I think http://madwifi.org/ticket/671 may be related, but 'sudo iwconfig
ath0 FAU-VPN' in another shell as suggested in that ticket  didn't help
me :(

My current workaround is to rmmod ath-hal and reload ath-pci after
resuming, which is suboptimal and shouldn't be necessary. In fact, this
seems to be a regression from the madwifi-old branch.

-- System Information:
Debian Release: testing/unstable
  APT prefers testing
  APT policy: (500, 'testing'), (50, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.17-2-686
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)

Versions of packages madwifi-source depends on:
ii  bzip2                         1.0.3-3    high-quality block-sorting file co
ii  debhelper                     5.0.37.3   helper programs for debian/rules
ii  module-assistant              0.10.6     tool to make module package creati

madwifi-source recommends no packages.

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Debian madwifi team <pkg-madwifi-maintainers@lists.alioth.debian.org>:
Bug#383169; Package madwifi-source. Full text and rfc822 format available.

Acknowledgement sent to Kel Modderman <kelrin@tpg.com.au>:
Extra info received and forwarded to list. Copy sent to Debian madwifi team <pkg-madwifi-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #10 received at 383169@bugs.debian.org (full text, mbox):

From: Kel Modderman <kelrin@tpg.com.au>
To: Reinhard Tartler <siretart@tauware.de>, 383169@bugs.debian.org
Subject: Re: Bug#383169: Doesn't reassociate after resume
Date: Mon, 21 Aug 2006 08:01:07 +1000
On Tuesday 15 August 2006 20:46, Reinhard Tartler wrote:
> Package: madwifi-source
> Version: 0.svnr1697.0.9.2-1
> Severity: important
>
> After suspending/resuming with uswsusp, I don't get any association with
> wpa_supplicant. Here is a log of an wpa_cli session:
>

<snipped> seen it all too often :(

>
>
> I think http://madwifi.org/ticket/671 may be related, but 'sudo iwconfig
> ath0 FAU-VPN' in another shell as suggested in that ticket  didn't help
> me :(

And #201. Its a pretty old, known issue. I've made a few attempts at looking 
at it with no result so far. Will make another effort soon, but I cannot 
promise that anything can be fixed in a driver that is partially opaque.

>
> My current workaround is to rmmod ath-hal and reload ath-pci after
> resuming, which is suboptimal and shouldn't be necessary. In fact, this
> seems to be a regression from the madwifi-old branch.

Yep, it is a regression that is biting me too, although most good suspend 
managers (ie powersave) hide it quite well by automating module removal and 
reinsertion, however this will require the networking system(s) to be 
restarted, which is no good . . .

Thanks, Kel.



Noted your statement that Bug has been forwarded to http://madwifi.org/ticket/201. Request was from Reinhard Tartler <siretart@tauware.de> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian madwifi team <pkg-madwifi-maintainers@lists.alioth.debian.org>:
Bug#383169; Package madwifi-source. Full text and rfc822 format available.

Acknowledgement sent to Reinhard Tartler <siretart@tauware.de>:
Extra info received and forwarded to list. Copy sent to Debian madwifi team <pkg-madwifi-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #17 received at 383169@bugs.debian.org (full text, mbox):

From: Reinhard Tartler <siretart@tauware.de>
To: Kel Modderman <kelrin@tpg.com.au>
Cc: 383169@bugs.debian.org
Subject: Re: Bug#383169: Doesn't reassociate after resume
Date: Sun, 15 Oct 2006 11:57:41 +0200
Kel Modderman <kelrin@tpg.com.au> writes:

>> I think http://madwifi.org/ticket/671 may be related, but 'sudo iwconfig
>> ath0 FAU-VPN' in another shell as suggested in that ticket  didn't help
>> me :(
>
> And #201. Its a pretty old, known issue. I've made a few attempts at looking 
> at it with no result so far. Will make another effort soon, but I cannot 
> promise that anything can be fixed in a driver that is partially opaque.

since 0.9.2+r1710.20060914-1, this bug is fixed at least for me. In the
referenced upstream bug the issue seems still not solved, so I leave it
to the madwifi maintainers to close this.

>> My current workaround is to rmmod ath-hal and reload ath-pci after
>> resuming, which is suboptimal and shouldn't be necessary. In fact, this
>> seems to be a regression from the madwifi-old branch.
>
> Yep, it is a regression that is biting me too, although most good suspend 
> managers (ie powersave) hide it quite well by automating module removal and 
> reinsertion,

They do this because of bugs in device drivers like this one. I don't
think the ability to reload device drivers on suspend is a good excuse
for not caring about these bugs, since ...

> however this will require the networking system(s) to be restarted,
> which is no good . . .

is no good and causes other problems.

-- 
Gruesse/greetings,
Reinhard Tartler, KeyID 945348A4



Information forwarded to debian-bugs-dist@lists.debian.org, Debian madwifi team <pkg-madwifi-maintainers@lists.alioth.debian.org>:
Bug#383169; Package madwifi-source. Full text and rfc822 format available.

Acknowledgement sent to Kel Modderman <kelmo@kanotixguide.org>:
Extra info received and forwarded to list. Copy sent to Debian madwifi team <pkg-madwifi-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #22 received at 383169@bugs.debian.org (full text, mbox):

From: Kel Modderman <kelmo@kanotixguide.org>
To: Reinhard Tartler <siretart@tauware.de>
Cc: Kel Modderman <kelrin@tpg.com.au>, 383169@bugs.debian.org
Subject: Re: Bug#383169: Doesn't reassociate after resume
Date: Sun, 15 Oct 2006 20:10:20 +1000
On Sunday 15 October 2006 19:57, Reinhard Tartler wrote:
> Kel Modderman <kelrin@tpg.com.au> writes:
> >> I think http://madwifi.org/ticket/671 may be related, but 'sudo iwconfig
> >> ath0 FAU-VPN' in another shell as suggested in that ticket  didn't help
> >> me :(
> >
> > And #201. Its a pretty old, known issue. I've made a few attempts at
> > looking at it with no result so far. Will make another effort soon, but I
> > cannot promise that anything can be fixed in a driver that is partially
> > opaque.
>
> since 0.9.2+r1710.20060914-1, this bug is fixed at least for me. In the
> referenced upstream bug the issue seems still not solved, so I leave it
> to the madwifi maintainers to close this.

Thanks for the feedback. IIRC, last time I tested madwifi/suspend, it is not 
working with my hardware. So it seems it has improved, but is not "fixed".

>
> >> My current workaround is to rmmod ath-hal and reload ath-pci after
> >> resuming, which is suboptimal and shouldn't be necessary. In fact, this
> >> seems to be a regression from the madwifi-old branch.
> >
> > Yep, it is a regression that is biting me too, although most good suspend
> > managers (ie powersave) hide it quite well by automating module removal
> > and reinsertion,
>
> They do this because of bugs in device drivers like this one. I don't
> think the ability to reload device drivers on suspend is a good excuse
> for not caring about these bugs, since ...
>
> > however this will require the networking system(s) to be restarted,
> > which is no good . . .
>
> is no good and causes other problems.

Full ACK.

Kel.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian madwifi team <pkg-madwifi-maintainers@lists.alioth.debian.org>:
Bug#383169; Package madwifi-source. Full text and rfc822 format available.

Message #25 received at 383169@bugs.debian.org (full text, mbox):

From: martin f krafft <madduck@debian.org>
To: Reinhard Tartler <siretart@tauware.de>, 383169@bugs.debian.org
Cc: Kel Modderman <kelrin@tpg.com.au>
Subject: Re: Bug#383169: Doesn't reassociate after resume
Date: Mon, 16 Oct 2006 18:45:42 +0200
[Message part 1 (text/plain, inline)]
reopen 383169
found 383169 1:0.9.2+r1710.20060914-1
thanks

> since 0.9.2+r1710.20060914-1, this bug is fixed at least for me.
> In the referenced upstream bug the issue seems still not solved,
> so I leave it to the madwifi maintainers to close this.

Unfortunately, I cannot say the same. I still see the bug. In
addition, I noticed that after the resume, iwlist scan only ever
says "No scan results". Reloading the module makes everything work
again.

Cheers,

-- 
 .''`.   martin f. krafft <madduck@debian.org>
: :'  :  proud Debian developer, author, administrator, and user
`. `'`   http://people.debian.org/~madduck - http://debiansystem.info
  `-  Debian - when you have better things to do than fixing systems
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian madwifi team <pkg-madwifi-maintainers@lists.alioth.debian.org>:
Bug#383169; Package madwifi-source. Full text and rfc822 format available.

Acknowledgement sent to "Chris Howie" <cdhowie@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian madwifi team <pkg-madwifi-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #30 received at 383169@bugs.debian.org (full text, mbox):

From: "Chris Howie" <cdhowie@gmail.com>
To: 383169@bugs.debian.org
Subject: Workaround for pm-utils
Date: Fri, 12 Sep 2008 13:46:26 -0400
I was unable to associate with networks after resuming from hibernate
as well.  After many hours of digging and tweaking I found the
workaround for us pm-utils users to be quite simple:

# echo 'SUSPEND_MODULES="ath_pci"' > /etc/pm/config.d/50-madwifi

Just in case anyone else can benefit from this too.

-- 
Chris Howie
http://www.chrishowie.com
http://en.wikipedia.org/wiki/User:Crazycomputers




Reply sent to Marco Rodrigues <gothicx@sapo.pt>:
You have taken responsibility. (Sun, 15 Mar 2009 08:09:08 GMT) Full text and rfc822 format available.

Notification sent to Reinhard Tartler <siretart@tauware.de>:
Bug acknowledged by developer. (Sun, 15 Mar 2009 08:09:08 GMT) Full text and rfc822 format available.

Message #35 received at 383169-done@bugs.debian.org (full text, mbox):

From: Marco Rodrigues <gothicx@sapo.pt>
To: 383169-done@bugs.debian.org
Subject: madwifi has been removed from Debian, closing #383169
Date: Sun, 15 Mar 2009 08:07:25 GMT
Version: 1:0.9.4+r3772.20080716-1+rm

The madwifi package has been removed from Debian so we are closing
the bugs that were still opened against it.

For more information about this package's removal, read
http://bugs.debian.org/519446 . That bug might give the reasons why
this package was removed, and suggestions of possible replacements.

Don't hesitate to reply to this mail if you have any question.

Thank you for your contribution to Debian.

Kind regards,
--
Marco Rodrigues




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 13 Apr 2009 07:34:09 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 08:52:58 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.